#!/usr/bin/env ruby
# -*- coding: utf-8

#テーマは   日本の伝統文化や礼儀作法

#日本の伝統文化や礼儀作法を行う上で正しい順序がわからないときに役立つプログラム

#このテーマにした理由は僕が友達と初詣に行ったとき、鳥居をくぐろうとしてふと、「神社をお参りするときのルールってあったよね」と友達が言い出し、僕も「そんなのあったな〜」と思いました。ですがそこで誰もお参りするときのルールを知らず困った挙げ句、なんとなくな感じでお参りして少し残念でした。そのときのことを考えたときに「世の中には僕たちのように日本独特のルールがわからず困っている人がたくさんいるのではないか」と思い、僕含めそんな人たちに向けてわかりやすく日本の伝統文化や礼儀作法の手順を教えるプログラムを作りたいと思いました。

#実装したい機能は、、、
#1，例えば神社に行きにお参りを行うときの順序を説明する場合、文字だけ表示するのではなく絵や写真も同時に表示し、使用者が実際に神社でお参りをしているかのようにしたい。

#2，ただ順序を説明するのではなくクイズ形式にして使用者に考えながら進ませたい(使用者が知らないこと前提)

#3，月ごとの主要な日本行事を用意し、プレイし終わったあとで実際に現実で活かせる知識をつけさせたい

#4，BGMをつけたい

#クイズにするといちいち説明が止まってしまいすぐ知りたい人に不便、、、→はじめにクイズありバージョンの説明とすぐ読める説明のどちらかを選んでもらう?

#絵で書くより実際の写真のほうがわかりやすい?→撮りに行く

#他のプログラム案
#一度プログラムを開くごとになにかの豆知識を一つ出すプログラム(まめしばのCM的な)
#プログラムは簡単なので豆知識をたくさん書くことに時間をさける
#気になったらすぐ調べられるようにURLを貼っておくといいかも
#シュールな感じにしたい

puts"初詣"
sleep(2)

puts"初詣の手順を説明します"
sleep(1)

puts"入り口の鳥居の前で会釈"
sleep(1)

require'curses'
include Curses


rt = []

begin
  sleep(0)

  system("display -geometry +700+0 torii.xcf&")#この鳥居のように場面に合わせた絵を                                                はる

end

puts"手水舎の水で心身を清める"
sleep(1)

puts"手水の仕方を確認しますか?"
puts"1:はい  2:いいえ"


temizu = gets.to_i

if temizu == 1

  puts"手水の仕方を確認します"
  sleep(2)
  
  puts"1,浅く一礼をして手水を始める"
  sleep(1)
  
  puts"2,ひしゃくの柄を右手で持ち、左手で洗う"
  sleep(1)
  
  puts"その後ひしゃくを左手に持ち替え、右手を洗う"
  sleep(1)
  
  puts"3,もう一度柄を右手で持ち、左手に水をためて、その水で口をすすぐ"
  sleep(1)
  
  puts"4,今一度左手を洗い、ひしゃくを立てて柄を水で流し、ひしゃくをもとに戻す"
  sleep(1)
  
  puts"5,ハンカチで口と手をふき、最後に浅く一礼"
  sleep(1)

else

end

sleep(1)
puts"参道を通ってご神体(神が宿るとされている物体)へ進む"
sleep(1)

puts"賽銭箱の前に立ったら会釈をして、賽銭箱にお賽銭を入れる"
sleep(1)

puts"二拝二拍手一拝の作法で拝礼し、会釈をして退く"
sleep(1)

puts"拝礼の仕方を確認しますか?"
puts"1:はい 2:いいえ"

hairei = gets.to_i

if hairei == 1

  puts"拝礼の仕方を説明します"
  sleep(2)

  puts"1,深いお辞儀を二回繰り返す(二拝)"
  sleep(1)

  puts"2,両手を胸の高さで合わせ、右手を少し手前に引き、肩幅程度に両手を開いて拍手を二回打ちます(二拍手)"
  sleep(1)

  puts"3,両手をきちんと合わせ、祈る"
  sleep(1)

  puts"4,両手をおろし、深いお辞儀をする(一拝)"
  sleep(1)
  

else

  
end

puts"参考にしたウェブ"
puts"http://www.tokyo-jinjacho.or.jp/sanpai/"

